org.keycloak.models.map.client

## Class MapClientEntityDelegate

- java.lang.Object
- - org.keycloak.models.map.client.MapClientEntityLazyDelegate
  - - org.keycloak.models.map.client.MapClientEntityDelegate

- All Implemented Interfaces:
    MapClientEntity, AbstractEntity, UpdatableEntity

      public class MapClientEntityDelegate
      extends MapClientEntityLazyDelegate

  Author:
    hmlnarik

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapClientEntityDelegate(MapClientEntity delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected MapClientEntity` | `getDelegate()`

    - ### Methods inherited from class org.keycloak.models.map.client.MapClientEntityLazyDelegate

      `addClientScope, addProtocolMapper, addRedirectUri, addScopeMapping, addWebOrigin, deleteScopeMapping, getAttribute, getAttributes, getAuthenticationFlowBindingOverride, getAuthenticationFlowBindingOverrides, getAuthFlowBindings, getBaseUrl, getClientAuthenticatorType, getClientId, getClientScopes, getDescription, getId, getManagementUrl, getName, getNodeReRegistrationTimeout, getNotBefore, getProtocol, getProtocolMapperById, getProtocolMappers, getRealmId, getRedirectUris, getRegistrationToken, getRootUrl, getScope, getScopeMappings, getSecret, getWebOrigins, isAlwaysDisplayInConsole, isBearerOnly, isConsentRequired, isDirectAccessGrantsEnabled, isEnabled, isFrontchannelLogout, isFullScopeAllowed, isImplicitFlowEnabled, isPublicClient, isServiceAccountsEnabled, isStandardFlowEnabled, isSurrogateAuthRequired, isUpdated, removeAttribute, removeAuthenticationFlowBindingOverride, removeClientScope, removeProtocolMapper, removeRedirectUri, removeWebOrigin, setAlwaysDisplayInConsole, setAttribute, setAuthenticationFlowBindingOverride, setAuthFlowBindings, setBaseUrl, setBearerOnly, setClientAuthenticatorType, setClientId, setConsentRequired, setDescription, setDirectAccessGrantsEnabled, setEnabled, setFrontchannelLogout, setFullScopeAllowed, setImplicitFlowEnabled, setManagementUrl, setName, setNodeReRegistrationTimeout, setNotBefore, setProtocol, setProtocolMappers, setPublicClient, setRedirectUris, setRegistrationToken, setRootUrl, setScope, setSecret, setServiceAccountsEnabled, setStandardFlowEnabled, setSurrogateAuthRequired, setWebOrigins, updateProtocolMapper`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapClientEntityDelegate

          public MapClientEntityDelegate(MapClientEntity delegate)

  - ### Method Detail

    - #### getDelegate

          protected MapClientEntity getDelegate()

      Overrides:
        `getDelegate` in class `MapClientEntityLazyDelegate`

Copyright © 2021 JBoss by Red Hat. All rights reserved.